package com.wechat.service;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.wechat.dao.MdeTicketCategoryDao;
import com.wechat.dao.MdeUserDao;
import com.wechat.model.dbEntity.MdeTicketCategory;

/**
 * 
 * @author tangwc
 *
 */
@Service
public class MdeTicketCategoryService {
	
	@Resource
	private MdeTicketCategoryDao ticketCategoryDao;
	@Resource
	private MdeUserDao userDao;
	@Resource
	private CommonService commonService;
	
	public List<MdeTicketCategory> accquireLoginTicket(String receiveFlag) {
		return ticketCategoryDao.accquireTicket("1",receiveFlag);
	}

	public void reduceLeftNum(String tcCode) {
		ticketCategoryDao.reduceLeftNum(tcCode);
	}
}
